// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXAggregateTarget section */
		FC4DB7191B1A6F4300DB748D /* UXMapView */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = FC4DB71A1B1A6F4300DB748D /* Build configuration list for PBXAggregateTarget "UXMapView" */;
			buildPhases = (
				FC4DB71D1B1A6F6600DB748D /* ShellScript */,
			);
			dependencies = (
			);
			name = UXMapView;
			productName = UXMapView;
		};
/* End PBXAggregateTarget section */

/* Begin PBXBuildFile section */
		FC4DB6EB1B1A662A00DB748D /* XMapView.h in Copy Files */ = {isa = PBXBuildFile; fileRef = FC4DB6EA1B1A662A00DB748D /* XMapView.h */; };
		FC4DB6ED1B1A662A00DB748D /* XMapView.m in Sources */ = {isa = PBXBuildFile; fileRef = FC4DB6EC1B1A662A00DB748D /* XMapView.m */; };
		FC4DB7031B1A665300DB748D /* XAnnotation.m in Sources */ = {isa = PBXBuildFile; fileRef = FC4DB7021B1A665300DB748D /* XAnnotation.m */; };
		FC4DB7061B1A66A200DB748D /* XMapAnnotation.m in Sources */ = {isa = PBXBuildFile; fileRef = FC4DB7051B1A66A200DB748D /* XMapAnnotation.m */; };
		FC4DB7091B1A66C900DB748D /* XMapAnnotationView.m in Sources */ = {isa = PBXBuildFile; fileRef = FC4DB7081B1A66C900DB748D /* XMapAnnotationView.m */; };
		FC4DB70C1B1A66F700DB748D /* XMapClusteringCircle.m in Sources */ = {isa = PBXBuildFile; fileRef = FC4DB70B1B1A66F700DB748D /* XMapClusteringCircle.m */; };
		FC4DB7151B1A687D00DB748D /* XAnnotation.h in Copy Files */ = {isa = PBXBuildFile; fileRef = FC4DB7011B1A665300DB748D /* XAnnotation.h */; };
		FC4DB7161B1A688100DB748D /* XMapAnnotation.h in Copy Files */ = {isa = PBXBuildFile; fileRef = FC4DB7041B1A66A200DB748D /* XMapAnnotation.h */; };
		FC4DB7171B1A688B00DB748D /* XMapAnnotationView.h in Copy Files */ = {isa = PBXBuildFile; fileRef = FC4DB7071B1A66C900DB748D /* XMapAnnotationView.h */; };
		FC4DB7181B1A68AE00DB748D /* XMapClusteringCircle.h in Copy Files */ = {isa = PBXBuildFile; fileRef = FC4DB70A1B1A66F700DB748D /* XMapClusteringCircle.h */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		FC4DB6E51B1A662A00DB748D /* Copy Files */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "include/$(PRODUCT_NAME)";
			dstSubfolderSpec = 16;
			files = (
				FC4DB6EB1B1A662A00DB748D /* XMapView.h in Copy Files */,
				FC4DB7151B1A687D00DB748D /* XAnnotation.h in Copy Files */,
				FC4DB7161B1A688100DB748D /* XMapAnnotation.h in Copy Files */,
				FC4DB7171B1A688B00DB748D /* XMapAnnotationView.h in Copy Files */,
				FC4DB7181B1A68AE00DB748D /* XMapClusteringCircle.h in Copy Files */,
			);
			name = "Copy Files";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		FC4DB6E71B1A662A00DB748D /* libXMapView.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libXMapView.a; sourceTree = BUILT_PRODUCTS_DIR; };
		FC4DB6EA1B1A662A00DB748D /* XMapView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = XMapView.h; sourceTree = "<group>"; };
		FC4DB6EC1B1A662A00DB748D /* XMapView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = XMapView.m; sourceTree = "<group>"; };
		FC4DB7011B1A665300DB748D /* XAnnotation.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = XAnnotation.h; sourceTree = "<group>"; };
		FC4DB7021B1A665300DB748D /* XAnnotation.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = XAnnotation.m; sourceTree = "<group>"; };
		FC4DB7041B1A66A200DB748D /* XMapAnnotation.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = XMapAnnotation.h; sourceTree = "<group>"; };
		FC4DB7051B1A66A200DB748D /* XMapAnnotation.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = XMapAnnotation.m; sourceTree = "<group>"; };
		FC4DB7071B1A66C900DB748D /* XMapAnnotationView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = XMapAnnotationView.h; sourceTree = "<group>"; };
		FC4DB7081B1A66C900DB748D /* XMapAnnotationView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = XMapAnnotationView.m; sourceTree = "<group>"; };
		FC4DB70A1B1A66F700DB748D /* XMapClusteringCircle.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = XMapClusteringCircle.h; sourceTree = "<group>"; };
		FC4DB70B1B1A66F700DB748D /* XMapClusteringCircle.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = XMapClusteringCircle.m; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		FC4DB6E41B1A662A00DB748D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		FC4DB6DE1B1A662A00DB748D = {
			isa = PBXGroup;
			children = (
				FC4DB6E91B1A662A00DB748D /* XMapView */,
				FC4DB6E81B1A662A00DB748D /* Products */,
			);
			sourceTree = "<group>";
		};
		FC4DB6E81B1A662A00DB748D /* Products */ = {
			isa = PBXGroup;
			children = (
				FC4DB6E71B1A662A00DB748D /* libXMapView.a */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FC4DB6E91B1A662A00DB748D /* XMapView */ = {
			isa = PBXGroup;
			children = (
				FC4DB6EA1B1A662A00DB748D /* XMapView.h */,
				FC4DB6EC1B1A662A00DB748D /* XMapView.m */,
				FC4DB7011B1A665300DB748D /* XAnnotation.h */,
				FC4DB7021B1A665300DB748D /* XAnnotation.m */,
				FC4DB7041B1A66A200DB748D /* XMapAnnotation.h */,
				FC4DB7051B1A66A200DB748D /* XMapAnnotation.m */,
				FC4DB7071B1A66C900DB748D /* XMapAnnotationView.h */,
				FC4DB7081B1A66C900DB748D /* XMapAnnotationView.m */,
				FC4DB70A1B1A66F700DB748D /* XMapClusteringCircle.h */,
				FC4DB70B1B1A66F700DB748D /* XMapClusteringCircle.m */,
			);
			path = XMapView;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		FC4DB6E61B1A662A00DB748D /* XMapView */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FC4DB6FB1B1A662A00DB748D /* Build configuration list for PBXNativeTarget "XMapView" */;
			buildPhases = (
				FC4DB6E31B1A662A00DB748D /* Sources */,
				FC4DB6E41B1A662A00DB748D /* Frameworks */,
				FC4DB6E51B1A662A00DB748D /* Copy Files */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = XMapView;
			productName = XMapView;
			productReference = FC4DB6E71B1A662A00DB748D /* libXMapView.a */;
			productType = "com.apple.product-type.library.static";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		FC4DB6DF1B1A662A00DB748D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0630;
				ORGANIZATIONNAME = "Xu Liu";
				TargetAttributes = {
					FC4DB6E61B1A662A00DB748D = {
						CreatedOnToolsVersion = 6.3.1;
					};
					FC4DB7191B1A6F4300DB748D = {
						CreatedOnToolsVersion = 6.3.1;
					};
				};
			};
			buildConfigurationList = FC4DB6E21B1A662A00DB748D /* Build configuration list for PBXProject "XMapView" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = FC4DB6DE1B1A662A00DB748D;
			productRefGroup = FC4DB6E81B1A662A00DB748D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				FC4DB6E61B1A662A00DB748D /* XMapView */,
				FC4DB7191B1A6F4300DB748D /* UXMapView */,
			);
		};
/* End PBXProject section */

/* Begin PBXShellScriptBuildPhase section */
		FC4DB71D1B1A6F6600DB748D /* ShellScript */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# define output folder environment variable\nUNIVERSAL_OUTPUTFOLDER=${BUILD_DIR}/${CONFIGURATION}-universal\n\n# Step 1. Build Device and Simulator versions\nxcodebuild -target XMapView ONLY_ACTIVE_ARCH=NO -configuration ${CONFIGURATION} -sdk iphoneos  BUILD_DIR=\"${BUILD_DIR}\" BUILD_ROOT=\"${BUILD_ROOT}\"\nxcodebuild -target XMapView -configuration ${CONFIGURATION} -sdk iphonesimulator -arch i386 BUILD_DIR=\"${BUILD_DIR}\" BUILD_ROOT=\"${BUILD_ROOT}\"\n\n# make sure the output directory exists\nmkdir -p \"${UNIVERSAL_OUTPUTFOLDER}\"\n\n# Step 2. Create universal binary file using lipo\nlipo -create -output \"${UNIVERSAL_OUTPUTFOLDER}/${PROJECT_NAME}.a\" \"${BUILD_DIR}/${CONFIGURATION}-iphoneos/lib${PROJECT_NAME}.a\" \"${BUILD_DIR}/${CONFIGURATION}-iphonesimulator/lib${PROJECT_NAME}.a\"\n\n# Last touch. copy the header files. Just for convenience\ncp -R \"${BUILD_DIR}/${CONFIGURATION}-iphoneos/include\" \"${UNIVERSAL_OUTPUTFOLDER}/\"";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		FC4DB6E31B1A662A00DB748D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FC4DB6ED1B1A662A00DB748D /* XMapView.m in Sources */,
				FC4DB7031B1A665300DB748D /* XAnnotation.m in Sources */,
				FC4DB7061B1A66A200DB748D /* XMapAnnotation.m in Sources */,
				FC4DB7091B1A66C900DB748D /* XMapAnnotationView.m in Sources */,
				FC4DB70C1B1A66F700DB748D /* XMapClusteringCircle.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		FC4DB6F91B1A662A00DB748D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.3;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		FC4DB6FA1B1A662A00DB748D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.3;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		FC4DB6FC1B1A662A00DB748D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
			};
			name = Debug;
		};
		FC4DB6FD1B1A662A00DB748D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
			};
			name = Release;
		};
		FC4DB71B1B1A6F4300DB748D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		FC4DB71C1B1A6F4300DB748D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		FC4DB6E21B1A662A00DB748D /* Build configuration list for PBXProject "XMapView" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FC4DB6F91B1A662A00DB748D /* Debug */,
				FC4DB6FA1B1A662A00DB748D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FC4DB6FB1B1A662A00DB748D /* Build configuration list for PBXNativeTarget "XMapView" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FC4DB6FC1B1A662A00DB748D /* Debug */,
				FC4DB6FD1B1A662A00DB748D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FC4DB71A1B1A6F4300DB748D /* Build configuration list for PBXAggregateTarget "UXMapView" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FC4DB71B1B1A6F4300DB748D /* Debug */,
				FC4DB71C1B1A6F4300DB748D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = FC4DB6DF1B1A662A00DB748D /* Project object */;
}
